Page MenuHomePhabricator

The button "Show changes" shows incorrect differences
Closed, InvalidPublic

Description

There is a bug in MediaWiki. This bug is encountered in Wikipedia.

In a page, I edit a section.
I press "Show changes".
I see a list of differences. In this list, there are :

  1. my changes,
  2. but also the undoing of all the changes that people have made in other sections.

The presence of 1. is correct.
The presence of 2. is incorrect.

Thank you for correcting this bug.

Nnemo

Event Timeline

Nnemo created this task.Dec 16 2014, 12:38 PM
Nnemo raised the priority of this task from to High.
Nnemo updated the task description. (Show Details)
Nnemo changed Security from none to None.
Nnemo added a subscriber: Nnemo.
Sjoerddebruin lowered the priority of this task from High to Medium.Dec 16 2014, 1:19 PM
Sjoerddebruin added a subscriber: Sjoerddebruin.

Are you editing a old revision of a page? Please add some links where we can see this behaviour.

Nnemo added a comment.Dec 22 2014, 2:59 PM

I am not editing an old revision.

You may reproduce the bug by doing so :

Let's take two persons : Adam and Bob.
If you are alone, you can play both persons by using 2 computers. Or 2 different browsers.

  1. Person Adam. Edit a section. Here you edit the section "Air conditioning" : en.wikipedia.org/w/index.php?title=nose&action=edit&section=1 Add "Squirrel" at the end of the section. Do not save the edit yet.
  1. Person Bob. Edit the intro. Here : en.wikipedia.org/w/index.php?title=nose&action=edit Make a change in the intro. For example, make "humans" a link : "[[human]]s". Save the edit.
  1. Person Adam. Click the button "Show changes". Expected result : The page shows only the one change Adam has made, "Squirrel". Actual result : The page shows the one change Adam has made, "Squirrel", but the page also shows the undoing of an unrelated change.

After submit the changes for save you change will be merged with all the changes in the meantime and than saved (or you get a edit conflict reported). This is not done on "Show Changes" and therefor you can see the changes from other peoples in the meantime as difference, but after save there are normally not there.

Nnemo awarded a token.Aug 2 2015, 5:24 PM

I don't see a bug here? What is the expected behavior instead?

Aklapper raised the priority of this task from Medium to Needs Triage.Apr 14 2018, 1:54 PM
Aklapper closed this task as Invalid.May 9 2018, 9:40 AM

Closing as invalid as per T78649#947078

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptMay 9 2018, 9:40 AM